Skip to main content

Why frourio?

Even if you write both the frontend and backend in TypeScript, you can't statically type-check the API's sparsity.
We are always forced to write "Two TypeScript".
We waste a lot of time on dynamic testing using the browser and server.

Why frourio?


Frourio is a framework for developing web apps quickly and safely in "One TypeScript".

Architecture


note

Frourio requires TypeScript 3.9 or newer.
If the TypeScript version of VSCode is low, an error is displayed during development.